Driver built with a different Linux kernel version unable to be activated on Pandaboard

Showing 1-3 of 3 messages
Driver built with a different Linux kernel version unable to be activated on Pandaboard sn...@cogentsystems.com 4/23/12 6:35 PM
Hi,

I have a Pandaboard with Linux kernel 3.0.0-1207-omap4 installed, and
a driver of our company's proprietary iris camera compiled with Linux
kernel version 2.6.35.3. Currently, I am unable to attach the driver
onto the Pandaboard with Linux installed because of a difference in
the kernel version of the Pandaboard and the platform on which the
driver was compiled. What should I do to enable my driver to
successfully attach onto the Pandaboard?

Thanks.
RE: [pandaboard] Driver built with a different Linux kernel version unable to be activated on Pandaboard VJ 4/23/12 10:11 PM
How about:

1. Recompile your company code to match Panda kernel version, or
2. Upgrade Panda kernel to match kernel your code needs.

Personally would prefer 1 above.

Vikas
Re: [pandaboard] Driver built with a different Linux kernel version unable to be activated on Pandaboard Vladimir Pantelic 4/24/12 6:38 AM

port and recompile your driver for 3.0.0-1207-omap4, since it's *your*
company you should have access to the source code..

or, use a 2.6.35.3 kernel, good luck :)